Bug 848252 - Quota says "Disk quota exceeded" even before actually quota exceeds
Quota says "Disk quota exceeded" even before actually quota exceeds
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
unspecified
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Divya
Sudhir D
:
Depends On: GLUSTER-3746 821650
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 21:47 EDT by Vidya Sakar
Modified: 2015-03-03 04:25 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 821650
Environment:
Last Closed: 2012-08-21 06:04:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-14 21:47:40 EDT
+++ This bug was initially created as a clone of Bug #821650 +++

Description of problem:

Quota exceeds even with the data less than the quota limit.

Version-Release number of selected component (if applicable):
3.3.0qa41

How reproducible:


Steps to Reproduce:
1. created a distribute volume with 2 bricks
2. set quota of 900MB
3. created a file of size 500MB 
4. Create another file of size 400MB but when the second file size if still 270MB, "Disk quota exceeded " message was thrown and dd fails.
5. Further creation of files on the mountpoint is possible.
  
Actual results:

[root@gqac022 mnt]# dd if=/dev/urandom of=400MB bs=1MB count=400
dd: writing `400MB': Disk quota exceeded
271+0 records in
270+0 records out
270520320 bytes (271 MB) copied, 31.941 s, 8.5 MB/s
[root@gqac022 mnt]# echo "akdsjfkasjfkasjdfksajfkasjf" >> 400MB 

Expected results:


Additional info:

--- Additional comment from shmohan@redhat.com on 2012-05-15 04:37:04 EDT ---

Backend FS XFS with 512 block size.

--- Additional comment from vbellur@redhat.com on 2012-05-16 14:24:53 EDT ---

Do we need a documentation update for this?

--- Additional comment from saujain@redhat.com on 2012-05-31 04:29:43 EDT ---

the workaround in the bug https://bugzilla.redhat.com/show_bug.cgi?id=765478, needs to be documented

--- Additional comment from amarts@redhat.com on 2012-07-11 07:15:28 EDT ---

XFS pre-alloc issue. Doc needed.
Comment 2 Divya 2012-08-21 06:04:26 EDT
This information is already added in "Formatting Bricks" section and it is available at:https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/chap-User_Guide-Setting_Volumes.html#id3369520

Note You need to log in before you can comment on or make changes to this bug.